[Mailman-Users] HT:Dig + v2.1

Richard Barrett R.Barrett at ftel.co.uk
Mon Apr 8 15:47:52 CEST 2002

At 10:44 04/04/2002 -0500, Tim Miller wrote:
>Will HT:Dig work with v2.1 and the existing patches released for v2.06?

If you check out:



you will find that I have posted versions of my Mailman-htdig patches for 
version 2.1. However, changes of the CVS code mean that the patches are 
trying to hit a moving target and I cannot say that they will apply without 
complaint to whatever you extract from the Mailman CVS today. You may have 
to hand fettle the patching if the CVS has moved to a state where the patch 
utility cannot do it alone. When MM 2.1 goes stable I'll post a version of 
the patches to fit.

Unless you really need to use MM 2.1 and are prepared to run beta code I'd 
suggest you stick to 2.0.8. If you decide to go ahead with 2.1 but have 
trouble with the patches let me know and I'll try to find time to rework 
them for the _current_ CVS state.

>We are wanting to use HT:Dig with v2.0.8 but I'm not interested in 
>spending a bunch of time getting it to work and then find that we will have

There are already versions of the patch files that will apply cleanly to 
vanilla MM 2.0.8 posted on sourceforge. All this is in the notes posted 
there for the patches. But to be clear, you need:

1. from patch 444879 the file indexing-2.0.6.patch (this didn't need to 
change from 2.0.6 thru 2.0.7 to 2.0.8)

2. from patch 444884 the file htdig-2.0.8-0.1.patch

You shouldn't find it too much of a problem getting the MM 2.0.8 working 
with the MM-htdig integration. See the comments and file names on sourceforge.

>problems updating to 2.1 or will have to go through the whole process again.

More information about the Mailman-Users mailing list